<template>
<div>
    <div id="nav">
        <!--    Made by Erik Terwan    -->

<nav role="navigation">
  <div id="menuToggle">
    <input type="checkbox" />
    
    <!--
    Some spans to act as a hamburger.
    
    They are acting like a real hamburger,
    not that McDonalds stuff.
    -->
    <span></span>
    <span></span>
    <span></span>
    
    <!--
    Too bad the menu has to be inside of the button
    but hey, it's pure CSS magic.
    -->
    <ul id="menu">
        <li>
            <router-link :to="{ name:'Home' }">Home</router-link>
        </li>
        <li>
            <router-link :to="{ name:'About' }">About</router-link>
        </li>
        <li>
            <router-link :to="{ name:'TopArtists' }">Top artists</router-link>
        </li>
        <li>
            <router-link :to="{ name:'TopTracks' }">Top tracks</router-link>
        </li>
    </ul>
  </div>
</nav>
<ul>
    <li class="name fontsize16 width50">
                Buenos días <strong>{{ yourname }}</strong>
    </li>
</ul>

            
        <!-- <nav class="menu">
        <ul>
            <li class="width50">
                <a href="#">Menú</a>
                    <ul>
                        <li>
                            <router-link :to="{ name:'Home' }">Home</router-link>
                        </li>
                        <li>
                            <router-link :to="{ name:'About' }">About</router-link>
                        </li>
                        <li>
                            <router-link :to="{ name:'TopArtists' }">Top artists</router-link>
                        </li>
                        <li>
                           <router-link :to="{ name:'TopTracks' }">Top tracks</router-link>
                        </li>
                    </ul>
            </li>
        </ul>
        </nav> -->
        <!-- en el name del router ponemos el nombre que indicamos en index.js-->


    <p>
        
    </p>
    </div>

</div>
</template>

<script>

//
export default {
    name: 'MenuCustom',
   //Props una lista de datos que pude venir de fuera
   // en este caso importamos el nombre desde App
    props:{
        username: String
    },
    // crear variable para insertar el nombre del usuario
    data(){
        return {
            yourname: 'Desiré'        }
    }
}
</script>

<style scoped>
ul{
    width: 95%;
    padding-right: 50px;
    list-style:none;
    text-align: right;
}
body
{
  margin: 0;
  padding: 0;
  
  /* make it look decent enough */
  background: #232323;
  color: #cdcdcd;
  font-family: Helvetica, Arial, sans-serif
}

#menuToggle
{
  display: block;
  position: relative;
  top: 50px;
  left: 50px;
  
  z-index: 1;
  
  -webkit-user-select: none;
  user-select: none;
}

#menuToggle a
{
  text-decoration: none;
  color: #232323;
  
  transition: color 0.3s ease;
}

#menuToggle a:hover
{
  color: tomato;
}


#menuToggle input
{
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  
  cursor: pointer;
  
  opacity: 0; /* hide this */
  z-index: 2; /* and place it over the hamburger */
  
  -webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */
#menuToggle span
{
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  
  background: #cdcdcd;
  border-radius: 3px;
  
  z-index: 1;
  
  transform-origin: 2px 0px;
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menuToggle span:first-child
{
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2)
{
  transform-origin: 0% 100%;
}

/* 
 * Transform all the slices of hamburger
 * into a crossmark.
 */
#menuToggle input:checked ~ span
{
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #232323;
}

/*
 * But let's hide the middle one.
 */
#menuToggle input:checked ~ span:nth-last-child(3)
{
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

/*
 * Ohyeah and the last one should go the other direction
 */
#menuToggle input:checked ~ span:nth-last-child(2)
{
  transform: rotate(-45deg) translate(0, -1px);
}

/*
 * Make this absolute positioned
 * at the top left of the screen
 */
#menu
{
  position: absolute;
  width: 300px;
  margin: -100px 0 0 -50px;
  padding: 50px;
  padding-top: 125px;
  
  background: #ededed;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  /* to stop flickering of text in safari */
  
  transform-origin: 0% 0%;
  transform: translate(-100%, 0);
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#menu li
{
  padding: 10px 0;
  font-size: 22px;
}

/*
 * And let's slide it in from the left
 */
#menuToggle input:checked ~ ul
{
  transform: none;
}


</style>